org.gjt.sp.jedit.visitors

## Class SaveCaretInfoVisitor

- java.lang.Object
- - org.gjt.sp.jedit.visitors.JEditVisitorAdapter
  - - org.gjt.sp.jedit.visitors.SaveCaretInfoVisitor

- All Implemented Interfaces:
    JEditVisitor

      public class SaveCaretInfoVisitor
      extends JEditVisitorAdapter

  A visitor that saves the caret info of an EditPane

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaveCaretInfoVisitor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(EditPane editPane)` Visit an EditPane.

    - ### Methods inherited from class org.gjt.sp.jedit.visitors.JEditVisitorAdapter

      `visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SaveCaretInfoVisitor

          public SaveCaretInfoVisitor()

  - ### Method Detail

    - #### visit

          public void visit(EditPane editPane)

      Description copied from class: `JEditVisitorAdapter`
      Visit an EditPane.
      Specified by:
        `visit` in interface `JEditVisitor`
      Overrides:
        `visit` in class `JEditVisitorAdapter`
      Parameters:
        `editPane` - the visited edit pane